import 'package:flutter/material.dart';
import 'package:flutter_screenutil/flutter_screenutil.dart';
import 'package:glassmorphism/glassmorphism.dart';

Widget commonGlassContainer(
    {required double width,
    required double height,
    required double borderradius,
    required Widget customWidget}) {
  return GlassmorphicContainer(
      width: width,
      height: height,
      borderRadius: borderradius,
      blur: 10,
      alignment: Alignment.topCenter,
      border: 0.9,
      linearGradient: LinearGradient(
        begin: Alignment.topLeft,
        end: Alignment.bottomRight,
        colors: [
          Colors.white.withOpacity(0.1),
          Color(0xFFFFFFFF).withOpacity(0.05),
        ],
        stops: [
          0.1,
          1,
        ],
      ),
      borderGradient: LinearGradient(
        begin: Alignment.topLeft,
        end: Alignment.bottomRight,
        colors: [
          Color(0xff3A3A3A),
          Color(0xFF3A3A3A),
        ],
      ),
      child: customWidget);
}
